﻿using System;
using System.Web;
using Wisej.Web;
using YobsManager.Kernel.Classes;
//using YobsManager.Dal.Poco;

namespace YobsManager
{
    public partial class Logon : Form
    {
        public Logon()
        {
            InitializeComponent();
            if (Kernel.ManagerSettings.GetValue("AutoLogon") != null)
            {
                string strLoginData = Kernel.ManagerSettings.GetValue("AutoLogon");
                string[] strLogin = strLoginData.Split(';');
                txtUsername.Text = strLogin[0];
                txtPassword.Text = strLogin[1];
                //      btnLogin_Click(null, null);
            }
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            

                if (ValidateData())
                {
                    Dal.Poco.User mUser = null;
                    Dal.Mongo.UserData mUserData = new Dal.Mongo.UserData(HttpContext.Current);
                  //  textBox1.Text = $"logon {txtUsername.Text} : {txtPassword.Text}";

                    mUser = mUserData.Login(txtUsername.Text.Trim(), txtPassword.Text.Trim());
                   // textBox1.Text+="\r\n" + Utility.GetSHA512Hash(txtPassword.Text);
                    
                if (mUser != null)
                    {
                        mUser.LastLogin = DateTime.Now;
                        if (mUser.NrTimesLoggedIn == null)
                        {
                            mUser.NrTimesLoggedIn = 1;
                        }
                        else
                        {
                            mUser.NrTimesLoggedIn++;
                        }
                        mUserData.UpdateUser(mUser);
                        Application.Session["User"] = mUser;
                    
                        this.DialogResult = DialogResult.OK;
                        this.Close();
                    }
                    else
                    {
                        MessageBox.Show("Invalid username/password!");
                        txtPassword.Focus();
                    }
                }
           

        }
        private bool ValidateData()
        {
            bool bret = true;
            if (string.IsNullOrEmpty(txtUsername.Text))
            {
                bret = false;
                txtUsername.Invalidate();
                txtUsername.InvalidMessage = ("*");
            }
            if (string.IsNullOrEmpty(txtPassword.Text))
            {
                bret = false;
                txtPassword.Invalidate();
                txtPassword.InvalidMessage = ("*");
            }
            return bret;
        }
    }
}
