﻿using System;
using Wisej.Web;

namespace YobsManager
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main()
        {

            if (Application.Session["User"] !=null)
            {
                Application.Desktop = new MainDesktop();
            }
            else
            {

            
            Logon mLogon = new Logon();
            DialogResult mRes = mLogon.ShowDialog();
                if (mRes == DialogResult.OK)
                {
                    MainDesktop mDesktop = new MainDesktop();
                    mDesktop.LogOff += MDesktop_LogOff;
                    Application.Desktop = mDesktop;
                    
                }
            }
        }

        private static void MDesktop_LogOff()
        {
            Application.Desktop = null;
            Main();
        }

        //
        // You can use the entry method below
        // to receive the parameters from the URL in the args collection.
        //
        //static void Main(NameValueCollection args)
        //{
        //}
    }
}